Uses of Class
org.springframework.graphql.server.WebGraphQlResponse
Packages that use WebGraphQlResponse
Package
Description
Server transports handling GraphQL requests over the HTTP, WebSocket, and RSocket.
Support classes for Web transports.
HTTP and WebSocket handlers for use in a Spring WebFlux application.
HTTP and WebSocket handlers for use in a Spring WebMvc application.
-
Uses of WebGraphQlResponse in org.springframework.graphql.server
Subclasses with type arguments of type WebGraphQlResponse in org.springframework.graphql.serverMethods in org.springframework.graphql.server that return WebGraphQlResponseModifier and TypeMethodDescriptionprotected WebGraphQlResponseWebGraphQlResponse.Builder.build(WebGraphQlResponse original, graphql.ExecutionResult newResult) WebGraphQlResponse.transform(Consumer<WebGraphQlResponse.Builder> consumer) Transform the underlyingExecutionResultthrough aWebGraphQlResponse.Builderand return a new instance with the modified values.Methods in org.springframework.graphql.server that return types with arguments of type WebGraphQlResponseModifier and TypeMethodDescriptionreactor.core.publisher.Mono<WebGraphQlResponse> WebGraphQlHandler.handleRequest(WebGraphQlRequest request) Execute the given request and return the response.reactor.core.publisher.Mono<WebGraphQlResponse> TimeoutWebGraphQlInterceptor.intercept(WebGraphQlRequest request, WebGraphQlInterceptor.Chain chain) reactor.core.publisher.Mono<WebGraphQlResponse> WebGraphQlInterceptor.intercept(WebGraphQlRequest request, WebGraphQlInterceptor.Chain chain) Intercept a request and delegate to the rest of the chain including other interceptors and aExecutionGraphQlService.default reactor.core.publisher.Mono<WebGraphQlResponse> WebSocketGraphQlInterceptor.intercept(WebGraphQlRequest request, WebGraphQlInterceptor.Chain chain) reactor.core.publisher.Mono<WebGraphQlResponse> WebGraphQlInterceptor.Chain.next(WebGraphQlRequest request) Delegate to the rest of the chain to execute the request.Methods in org.springframework.graphql.server with parameters of type WebGraphQlResponseModifier and TypeMethodDescriptionprotected WebGraphQlResponseWebGraphQlResponse.Builder.build(WebGraphQlResponse original, graphql.ExecutionResult newResult) -
Uses of WebGraphQlResponse in org.springframework.graphql.server.support
Methods in org.springframework.graphql.server.support that return types with arguments of type WebGraphQlResponseModifier and TypeMethodDescriptionreactor.core.publisher.Mono<WebGraphQlResponse> AbstractAuthenticationWebSocketInterceptor.intercept(WebGraphQlRequest request, WebGraphQlInterceptor.Chain chain) reactor.core.publisher.Mono<WebGraphQlResponse> HttpRequestHeaderInterceptor.intercept(WebGraphQlRequest request, WebGraphQlInterceptor.Chain chain) -
Uses of WebGraphQlResponse in org.springframework.graphql.server.webflux
Methods in org.springframework.graphql.server.webflux that return types with arguments of type WebGraphQlResponseModifier and TypeMethodDescriptionprotected BodyInserter<WebGraphQlResponse, ServerHttpResponse> AbstractGraphQlHttpHandler.bodyInserter(WebGraphQlResponse response) Create a body inserter function that knows how to write the GraphQL response as a JSON HTTP response body.Methods in org.springframework.graphql.server.webflux with parameters of type WebGraphQlResponseModifier and TypeMethodDescriptionprotected BodyInserter<WebGraphQlResponse, ServerHttpResponse> AbstractGraphQlHttpHandler.bodyInserter(WebGraphQlResponse response) Create a body inserter function that knows how to write the GraphQL response as a JSON HTTP response body.protected static @Nullable OperationNotAllowedExceptionAbstractGraphQlHttpHandler.findRejection(WebGraphQlResponse response) Find anOperationNotAllowedExceptionrejection in the response errors, if any.protected abstract reactor.core.publisher.Mono<ServerResponse> AbstractGraphQlHttpHandler.prepareResponse(ServerRequest request, WebGraphQlResponse response) Prepare theServerResponsefor the given GraphQL response.protected reactor.core.publisher.Mono<ServerResponse> GraphQlHttpHandler.prepareResponse(ServerRequest request, WebGraphQlResponse response) protected reactor.core.publisher.Mono<ServerResponse> GraphQlSseHandler.prepareResponse(ServerRequest request, WebGraphQlResponse response) protected HttpStatusGraphQlHttpHandler.selectResponseStatus(ServerRequest request, WebGraphQlResponse response, MediaType responseMediaType) Select the HTTP response status, taking into account any rejection of the request's operation type based on the semantics of the current HTTP method. -
Uses of WebGraphQlResponse in org.springframework.graphql.server.webmvc
Methods in org.springframework.graphql.server.webmvc with parameters of type WebGraphQlResponseModifier and TypeMethodDescriptionprotected static @Nullable OperationNotAllowedExceptionAbstractGraphQlHttpHandler.findRejection(WebGraphQlResponse response) Find anOperationNotAllowedExceptionrejection in the response errors, if any.protected HttpStatusGraphQlHttpHandler.selectResponseStatus(ServerRequest request, WebGraphQlResponse response, MediaType responseMediaType) Select the HTTP response status, taking into account any rejection of the request's operation type based on the semantics of the current HTTP method.Method parameters in org.springframework.graphql.server.webmvc with type arguments of type WebGraphQlResponseModifier and TypeMethodDescriptionprotected abstract ServerResponseAbstractGraphQlHttpHandler.prepareResponse(ServerRequest request, reactor.core.publisher.Mono<WebGraphQlResponse> responseMono) Prepare theServerResponsefor the given GraphQL response.protected ServerResponseGraphQlHttpHandler.prepareResponse(ServerRequest request, reactor.core.publisher.Mono<WebGraphQlResponse> responseMono) protected ServerResponseGraphQlSseHandler.prepareResponse(ServerRequest request, reactor.core.publisher.Mono<WebGraphQlResponse> responseMono)